Skip to main content
PATCH
Update delivery configuration

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

integrationKey
string<string>
required

The integration key

id
string<string>
required

The configuration ID

Body

application/json
op
string
required

The type of operation to perform

Example:

"replace"

path
string
required

A JSON Pointer string specifying the part of the document to operate on

Example:

"/exampleField"

value
any

A JSON value used in "add", "replace", and "test" operations

Example:

"new example value"

Response

Integration delivery configuration response

The location and content type of related resources

_id
string
required

The integration ID

Example:

"12ab3c4d5ef1a2345bcde67f"

integrationKey
string
required

The integration key

Example:

"example-integration-key"

projectKey
string
required

The project key

Example:

"default"

environmentKey
string
required

The environment key

Example:

"development"

config
object
required

The delivery configuration for the given integration provider. Only included when requesting a single integration by ID. Refer to the formVariables field in the corresponding manifest.json for a full list of fields for each integration.

on
boolean
required

Whether the configuration is turned on

Example:

true

tags
string[]
required

List of tags for this configuration

Example:
name
string
required

Name of the configuration

Example:

"Development environment configuration"

version
integer
required

Version of the current configuration

Example:

1

_access
object

Details on the allowed and denied actions for this configuration